All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::GenericDistanceComputer Struct Reference
Inheritance diagram for faiss::GenericDistanceComputer:

## Public Member Functions

| GenericDistanceComputer (const Index &storage)
float | operator() (storage_idx_t i) override
float | symmetric_dis (storage_idx_t i, storage_idx_t j) override
void | set_query (const float *x) override
| called before computing distances
Public Member Functions inherited from faiss::HNSW::DistanceComputer
virtual float | operator() (storage_idx_t i)=0
| compute distance of vector i to current query
virtual float | symmetric_dis (storage_idx_t i, storage_idx_t j)=0
| compute distance between two stored vectors

## Public Attributes

const Index & | storage
std::vector< float > | buf
const float * | q
Public Attributes inherited from faiss::HNSW::DistanceComputer
idx_t | d

## Detailed Description

Definition at line 1322 of file IndexHNSW.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexHNSW.cpp